h1 {
    width: 100%;
    text-indent: 15%;
    background-color: #EBEDEE;
    font-size: 24px;
    padding: 10px 0px;
}

/* 购物车容器 */
.cart-container {
    width: 90%;
    margin: 0 auto;
    background-color: #EBEDEE;
    margin-top: 20px;
    border-radius: 10px;
}

/* 进度条 */
.progress-steps {
    width: 98%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    padding: 25px 0px;
}

/* 底部灰色底线 */
.progress-line {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 4px;
    background: #e0e0e0;
    z-index: 1;
}

/* 蓝色进度条（手动写宽度） */
.progress-active {
    position: absolute;
    top: 50%;
    left: 0;
    height: 4px;
    background: #1677ff;
    z-index: 2;
    /*
              1步：width: 0%
              2步：width: 33.33%
              3步：width: 66.66%
              4步：width: 100%
            */
    width: 0%;
}

.step {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 3;
    flex: 1;
}

/* 圆点默认样式 */
.step-dot {
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background: #fff;
    border: 4px solid #e0e0e0;
    margin-bottom: 10px;
}

/* 已完成 */
.step.completed .step-dot {
    background: #1677ff;
    border-color: #1677ff;
    position: relative;
}

.step.completed .step-dot::after {
    content: "✓";
    color: #fff;
    font-size: 12px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* 当前选中 */
.step.active .step-dot {
    border-color: #1677ff;
    transform: scale(1.1);
}

/* 文字 */
.step-text {
    font-size: 14px;
    color: #999;
}

.step.completed .step-text,
.step.active .step-text {
    color: #1677ff;
    font-weight: bold;
}

/* 购物车内容 */
.cart-content {
    display: flex;
    padding: 20px;
    gap: 20px;
}

.cart-item {
    width: 70%;
}

/* 表格样式 */
.cart-item table {
    width: 100%;
    border-collapse: collapse;
}

.cart-item table tr {
    display: flex;
    width: 100%;
    padding: 10px;
}

.cart-item table thead {
    background-color: #2C3E50;
    color: #FFFFFF;
}

.cart-item table tbody tr {
    border-bottom: 1px solid #e0e0e0;
}

.cart-item table tbody tr:nth-child(even) {
    background-color: #F7F7F7;
}

.cart-item table tbody tr:hover {
    background-color: #E9ECEF;
}

.th1,
.td1 {
    display: flex;
    width: 40%;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.th2,
.th3,
.th4,
.td2,
.td3,
.td4 {
    width: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.td1>img {
    width: 30%;
    max-width: 200px
}

.td1>div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    font-size: 12px;
}

.td1 a {
    color: #1677ff;
    text-decoration: none;
}

.td1 a:hover {
    color: #0011ff;
}

.td1 span {
    font-size: 16px;
}

.td2 button {
    width: 30px;
    height: 30px;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.td2 button:hover {
    background-color: #cfd4da;
}

.td2 .sub {
    border-right: none;
}

.td2 .add {
    border-left: none;
}

.td2 input {
    height: 30px;
    line-height: 30px;
    outline: none;
    border: 1px solid rgba(0, 0, 0, 0.2);
    text-align: center;
    width: 50px;
}

.td4 button {
    height: 30px;
    padding: 0px 10px;
    border-radius: 3px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.td4 button:hover {
    background-color: #D63031;
    color: #FFFFFF;
}

/* 左侧底部按钮 */
.cart-btn {
    display: flex;
    justify-content: space-between;
    padding: 20px;
    margin-top: 20px;
}

.cart-btn button {
    width: 25%;
    min-width: 200px;
    font-size: 16px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    overflow: hidden;
}

.cart-btn button a {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 0px;
    text-decoration: none;
    font-weight: bold;
}

.back_index_but {
    border: 1px solid #00A6ED !important;
}

.back_index_but a {
    color: #00A6ED !important;
}

.back_index_but a:hover {
    background-color: #00A6ED !important;
    color: #FFFFFF !important;
}

.next_step_but {
    color: #FFFFFF;
    font-weight: bold;
    padding: 15px 0px;
    background-color: #3490DE;
}

.next_step_but:hover {
    background-color: #00A6ED !important;
}



/* 右侧订单信息 */
.cart-order {
    width: 30%;
}

.cart-order h2 {
    font-size: 20px;
    padding: 10px 0px;
    border-bottom: 1px dashed rgba(0, 0, 0, 0.3);
}

.cart-order>.order {
    background-color: #FFFFFF;
    padding: 10px 10px;
    border-radius: 10px;

}

.cart-order>.order ul {
    border-bottom: 1px dashed rgba(0, 0, 0, 0.3);
    padding: 10px 0px;
}

.cart-order>.order ul li {
    padding: 10px 0px;
    font-weight: bold;
    color: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: space-between;
}

.cart-order>.order p {
    padding: 15px 0px;
    font-weight: bold;
    color: #000;
    display: flex;
    justify-content: space-between;
}

.cart-order>.check_box {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 5px
}

.cart-order>.check_box a {
    text-decoration: none;
    color: #1677ff;
}

.cart-order>.check_box a:hover {
    color: #0011ff;
}

.cart-order>button {
    background-color: #3490DE;
    width: 100%;
    border: none;
    color: #FFFFFF;
    margin-top: 20px;
    cursor: pointer;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 0px;

}

.cart-order>button:hover {
    background-color: #00A6ED;
}

@media screen and (max-width: 1200px) {
    .cart-content {
        flex-direction: column;
    }

    .cart-order {
        width: 100%;
    }

    .cart-item {
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    .cart-container {
        width: 96%;
    }

    /* 表格响应式 */
    .th2,
    .th3,
    .th4 {
        display: none;
    }

    .th1 {
        width: 100%;
    }

    .cart-item table tbody tr {
        flex-direction: column;
    }

    .cart-item table tbody tr td {
        width: 100%;
        padding: 5px 0px;
    }

    /* 表格底部按钮响应式 */
    .cart-btn {
        flex-direction: column;
        gap: 10px;
        align-items: center;
    }
}
